dh-elpa (2.1.9ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 19:59:39 +0000

dh-elpa (2.1.9ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - .git{attributes,ignore}: Delete.
    - Replace buildN and ubuntuN version suffixes with the empty string;
      emacs version-to-list doesn't recognize these.
    - Update to debhelper-compat 13
    - Update standards version, no changes needed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Mar 2025 13:35:45 +0100

dh-elpa (2.1.9) unstable; urgency=medium

  [ Xiyue Deng ]
  * Remove eglot from packaged-separately.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 14 Mar 2025 14:53:25 +0800

dh-elpa (2.1.8ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - .git{attributes,ignore}: Delete.
    - Replace buildN and ubuntuN version suffixes with the empty string;
      emacs version-to-list doesn't recognize these.
    - Update to debhelper-compat 13
    - Update standards version, no changes needed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Mar 2025 08:22:55 +0100

dh-elpa (2.1.8) unstable; urgency=medium

  * Boost build-dep on Emacs, too, to require 30.1.
    The package build uses lm-package-requires.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 06 Mar 2025 19:42:23 +0800

dh-elpa (2.1.7) unstable; urgency=medium

  * Extend docstring for dhelpa-filter-deps-for-debian to discuss addons
    updates often required after updating Emacs itself.
  * Add elpa-eglot to the list of packages that are built-in but also
    packaged separately in Debian.
  * Drop seq, xref and project from said list of packages.
    We propose not to include these in trixie, so need to stop generating
    dependencies on them.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 26 Feb 2025 17:30:01 +0800

dh-elpa (2.1.6) unstable; urgency=medium

  [ Xiyue Deng ]
  * Correctly construct ERT selectors S-exp (Closes: #1088086).
    - Was under the wrong impression that ERT selectors can be specified
      as the remaining command line arguments.
      + That turns out to be an extension in flycheck-run-tests-main.
    - Now properly make it part of the ert-run-tests-batch-and-exit s-exp.
    - Update documentation accordingly.
  * Prefer "-f" over "--eval" when running `ert-run-tests-batch-and-exit'

  [ Sean Whitton ]
  * Replace call to removed package--prepare-dependencies
    (Closes: #1098846).
    Thanks to Xiyue Deng for investigating, and finding the fix.
  * Raise dependency on Emacs to require 30.1 for lm-package-requires.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 Feb 2025 12:26:03 +0800

dh-elpa (2.1.5ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - .git{attributes,ignore}: Delete.
    - Replace buildN and ubuntuN version suffixes with the empty string;
      emacs version-to-list doesn't recognize these.
    - Update to debhelper-compat 13
    - Update standards version, no changes needed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2024 08:59:51 +0200

dh-elpa (2.1.5) unstable; urgency=medium

  [ Xiyue Deng ]
  * Revert "Don't recursively add elpa path to match package.el behavior"
    (Closes: #1076964).
    - This breaks load-path handling in batch mode.
    - Reverting this commit should no break any existing package as no one
      has source code in a nested directory yet.
    - Will provide a more robust approach in a future commit.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 11:45:37 +0900

dh-elpa (2.1.4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:46:13 +0900

dh-elpa (2.1.3ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - .git{attributes,ignore}: Delete.
    - Replace buildN and ubuntuN version suffixes with the empty string;
      emacs version-to-list doesn't recognize these.
    - Update to debhelper-compat 13
    - Update standards version, no changes needed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Jul 2024 17:17:31 +0200

dh-elpa (2.1.3) unstable; urgency=low

  * Upload to unstable.
  * Fix some copyright years.
  * Make autoscripts/prerm-elpa executable.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 11:20:49 +0900

dh-elpa (2.1.2) experimental; urgency=medium

  [ Xiyue Deng ]
  * Set ert-batch-backtrace-right-margin to nil to allow full backtrace
    when ERT tests fail (Closes: #973393).
  * Add support for passing ERT selectors using ert_selectors.
  * Handle git version with date in dhelpa-sanitise-version.
  * dh_elpa_test: Don't rename files under test/, tests/
    (Closes: #1069326).
  * Use `pretty' stack frame style in buttercup for full back trace.
  * Add support for installing nested directories (Closes: #1069210)
    - Don't recursively add to elpa path, to match package.el
    - Byte-compile recursively during install
    - Recursively create the symlinks from elpa-src->elpa.

  [ Aymeric Agon-Rambosson ]
  * Get Package-Requires with lm-header-multiline (some upstream
    maintainers specify one dependency per line).
  * Add transient to the list of packages packaged separately as well as
    provided with Emacs.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 12 Jul 2024 14:03:04 +0800

dh-elpa (2.1.1) experimental; urgency=medium

  * Remove /usr/share/$flavor/site-lisp/elpa (from emacsen-remove)
    if it is empty

 -- David Bremner <bremner@debian.org>  Mon, 04 Sep 2023 08:30:35 -0300

dh-elpa (2.1.0) experimental; urgency=medium

  * Call emacsen-remove script directly from generated prerm. For now this
    requires a custom debhelper autoscript template, that this package
    installs.
  * Eliminate dependency on dh-elpa-helper for emacsen-remove. This will
    require a rebuild to fix emacsen-remove scripts, but seems mandated by
    policy.
  * Add a version to debhelper generated snippets.
  * Make install helper shellcheck clean

 -- David Bremner <bremner@debian.org>  Mon, 04 Sep 2023 06:53:57 -0300

dh-elpa (2.0.17ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - .git{attributes,ignore}: Delete.
    - Replace buildN and ubuntuN version suffixes with the empty string;
      emacs version-to-list doesn't recognize these.
    - Update to debhelper-compat 13
    - Update standards version, no changes needed

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Sep 2023 10:33:53 +0200

dh-elpa (2.0.17) unstable; urgency=medium

  * Bug fix: "Ugly // in symlinks", thanks to Sven Joachim (Closes:
    #1030560).

 -- David Bremner <bremner@debian.org>  Sun, 23 Jul 2023 07:10:38 -0300

dh-elpa (2.0.16ubuntu2) lunar; urgency=medium

  * dh_elpa_test: Implement new buttercup_eval directive.
    (LP: #2008919)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 01 Mar 2023 13:08:44 -0500

dh-elpa (2.0.16ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - .git{attributes,ignore}: Delete.
    - Replace buildN and ubuntuN version suffixes with the empty string;
      emacs version-to-list doesn't recognize these.
    - Update to debhelper-compat 13
    - Update standards version, no changes needed
  * Drop changes:
    - d/t/*: Add dep8 tests.
      [ Incorporated by Debian. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 10 Feb 2023 10:08:32 -0500

dh-elpa (2.0.16) unstable; urgency=medium

  * Drop dependencies on emacs-el introduced in 2.0.11.
    Emacs itself now has this dependency.  It's required for native-comp.
  * install/remove: Export EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION=t.
    This is likely temporary, pending updates to emacsen-common.

  * dh_elpa_test: Revert changes in 2.0.12, 2.0.13 and 2.0.14.
  * dh_elpa_test: Export EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION=t.
    Unconditionally prevent native comp writing to HOME while running tests.
  * dh_elpa_test: Replace use of smartmatch operator.
    It is expected that Perl upstream will soon deprecate the operator.

  * Add license & copyright headers to dh_elpa{,_test}.
  * Tighten dependency on emacs-nox|emacs to require >= 1:28.2+1-9.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 23 Dec 2022 11:49:04 -0700

dh-elpa (2.0.15) unstable; urgency=medium

  * Add elpa-org to the list of packages that are built-in but also
    packaged separately in Debian.
    Thanks to Aymeric Agon-Rambosson for reporting the issue.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 08 Nov 2022 12:19:46 -0700

dh-elpa (2.0.14) unstable; urgency=medium

  * Per Eli Z. suggestion, try native-comp-eln-load-path to limit reading
    and writing of eln during dh_elpa_test.

 -- David Bremner <bremner@debian.org>  Sun, 02 Oct 2022 09:18:37 -0300

dh-elpa (2.0.13) unstable; urgency=medium

  * Disable native code when running ERT tests

 -- David Bremner <bremner@debian.org>  Fri, 30 Sep 2022 07:04:56 -0300

dh-elpa (2.0.12) unstable; urgency=medium

  * Set temporary native code cached directory when running (ERT) tests.

 -- David Bremner <bremner@debian.org>  Sun, 25 Sep 2022 08:15:00 -0300

dh-elpa (2.0.11) unstable; urgency=medium

  * Depend (temporarily?) on emacs-el as workaround for #1017698

 -- David Bremner <bremner@debian.org>  Thu, 25 Aug 2022 08:38:18 -0700

dh-elpa (2.0.10) unstable; urgency=medium

  * Update dh_elpa_test documentation
  * Bug fix: "Adding a basic autopkgtest", thanks to Lukas Märdian
    (Closes: #1001452).

 -- David Bremner <bremner@debian.org>  Thu, 16 Dec 2021 12:48:45 -0400

dh-elpa (2.0.9ubuntu1) jammy; urgency=medium

  * Merge from Debian, remaining changes:
    + Replace buildN and ubuntuN version suffixes with the empty string;
      emacs version-to-list doesn't recognize these.
  * d/t/control: Add autopkgtest build-dep to build a src:elpa-test package
  * Update standards version, no changes needed
  * Update to debhelper-compat 13

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 07 Dec 2021 12:36:46 +0100

dh-elpa (2.0.9) unstable; urgency=medium

  * Bug fix: "install error when root user has packages under
    /root/.emacs.d/elpa", thanks to Nick Gasson (Closes: #985459). The fix
    is to set PACKAGE-USER-DIR to "/nonexistent" when doing an install.

 -- David Bremner <bremner@debian.org>  Mon, 20 Sep 2021 08:24:37 -0300

dh-elpa (2.0.8ubuntu1) impish; urgency=medium

  * Replace buildN and ubuntuN version suffixes with the empty string;
    emacs version-to-list doesn't recognize these.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Oct 2021 11:58:25 +0200

dh-elpa (2.0.8) unstable; urgency=medium

  * Retry upload interrupted by Emacs crash.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Jan 2021 13:40:23 -0700

dh-elpa (2.0.7) unstable; urgency=medium

  * Mark dh-elpa as providing dh-sequence-elpa, for use in
    Build-Depends{,-Indep}, to enable implicit "--with elpa" rules
    (Closes: #981084).
    Thanks to Olivier Tilloy for the patch and others for discussion.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Jan 2021 13:28:45 -0700

dh-elpa (2.0.6) unstable; urgency=medium

  * Bug fix: "Can't install non-ELPA package due to typo in helper
    script", thanks to Youhei SASAKI (Closes: #973346).

 -- David Bremner <bremner@debian.org>  Thu, 29 Oct 2020 08:17:42 -0300

dh-elpa (2.0.5) unstable; urgency=medium

  * Add xref and project to the list of built-in packages that we also
    have packaged separately (Closes: #972995).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 27 Oct 2020 09:23:33 -0700

dh-elpa (2.0.4) unstable; urgency=medium

  [ David Bremner ]
  * Enable Multi-Arch: foreign. Currently it seems like any
    architecture-dependent variance in the behaviour of dh_elpa is
    probably a bug.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 01 Jun 2020 17:29:26 -0700

dh-elpa (2.0.3) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Fix typos in dh_elpa documentation.
  * Clean up trailing whitespace in this changelog.

  [ Sean Whitton ]
  * dh_elpa_test(1): Note exit code requirement in docs for ert_helper
    (Closes: #941330).

  [ Daniel Kahn Gillmor ]
  * Use secure copyright file specification URI.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Rules-Requires-Root: no

 -- David Bremner <bremner@debian.org>  Sun, 19 Apr 2020 08:52:10 -0300

dh-elpa (2.0.2) unstable; urgency=medium

  * Upload to unstable
  * Assert compliance with policy version to 4.4.0
  * Drop dependencies on obsolete "emacs25" variants

 -- David Bremner <bremner@debian.org>  Sat, 14 Sep 2019 10:18:40 -0300

dh-elpa (2.0.1) experimental; urgency=medium

  * move bulk of maintainer scripts to a helper package that
    can be updated (Closes: #935766).
  * add binary package dh-elpa-helper
  * add dependency on dh-elpa-helper packages built with dh_elpa
  * stop embedding version in dh_elpa, elpa.pm

 -- David Bremner <bremner@debian.org>  Mon, 02 Sep 2019 12:51:33 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog dh-elpa`.
